CMSIS-DSP: complex_math_functions.h File Reference

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
complex_math_functions.h File Reference

## Functions

void | arm_cmplx_conj_f32 (const float32_t *pSrc, float32_t *pDst, uint32_t numSamples)
| Floating-point complex conjugate. More...
void | arm_cmplx_conj_q31 (const q31_t *pSrc, q31_t *pDst, uint32_t numSamples)
| Q31 complex conjugate. More...
void | arm_cmplx_conj_q15 (const q15_t *pSrc, q15_t *pDst, uint32_t numSamples)
| Q15 complex conjugate. More...
void | arm_cmplx_mag_squared_f32 (const float32_t *pSrc, float32_t *pDst, uint32_t numSamples)
| Floating-point complex magnitude squared. More...
void | arm_cmplx_mag_squared_f64 (const float64_t *pSrc, float64_t *pDst, uint32_t numSamples)
| Floating-point complex magnitude squared. More...
void | arm_cmplx_mag_squared_q31 (const q31_t *pSrc, q31_t *pDst, uint32_t numSamples)
| Q31 complex magnitude squared. More...
void | arm_cmplx_mag_squared_q15 (const q15_t *pSrc, q15_t *pDst, uint32_t numSamples)
| Q15 complex magnitude squared. More...
void | arm_cmplx_mag_f32 (const float32_t *pSrc, float32_t *pDst, uint32_t numSamples)
| Floating-point complex magnitude. More...
void | arm_cmplx_mag_f64 (const float64_t *pSrc, float64_t *pDst, uint32_t numSamples)
| Floating-point complex magnitude. More...
void | arm_cmplx_mag_q31 (const q31_t *pSrc, q31_t *pDst, uint32_t numSamples)
| Q31 complex magnitude. More...
void | arm_cmplx_mag_q15 (const q15_t *pSrc, q15_t *pDst, uint32_t numSamples)
| Q15 complex magnitude. More...
void | arm_cmplx_mag_fast_q15 (const q15_t *pSrc, q15_t *pDst, uint32_t numSamples)
| Q15 complex magnitude. More...
void | arm_cmplx_dot_prod_q15 (const q15_t *pSrcA, const q15_t *pSrcB, uint32_t numSamples, q31_t *realResult, q31_t *imagResult)
| Q15 complex dot product. More...
void | arm_cmplx_dot_prod_q31 (const q31_t *pSrcA, const q31_t *pSrcB, uint32_t numSamples, q63_t *realResult, q63_t *imagResult)
| Q31 complex dot product. More...
void | arm_cmplx_dot_prod_f32 (const float32_t *pSrcA, const float32_t *pSrcB, uint32_t numSamples, float32_t *realResult, float32_t *imagResult)
| Floating-point complex dot product. More...
void | arm_cmplx_mult_real_q15 (const q15_t *pSrcCmplx, const q15_t *pSrcReal, q15_t *pCmplxDst, uint32_t numSamples)
| Q15 complex-by-real multiplication. More...
void | arm_cmplx_mult_real_q31 (const q31_t *pSrcCmplx, const q31_t *pSrcReal, q31_t *pCmplxDst, uint32_t numSamples)
| Q31 complex-by-real multiplication. More...
void | arm_cmplx_mult_real_f32 (const float32_t *pSrcCmplx, const float32_t *pSrcReal, float32_t *pCmplxDst, uint32_t numSamples)
| Floating-point complex-by-real multiplication. More...
void | arm_cmplx_mult_cmplx_q15 (const q15_t *pSrcA, const q15_t *pSrcB, q15_t *pDst, uint32_t numSamples)
| Q15 complex-by-complex multiplication. More...
void | arm_cmplx_mult_cmplx_q31 (const q31_t *pSrcA, const q31_t *pSrcB, q31_t *pDst, uint32_t numSamples)
| Q31 complex-by-complex multiplication. More...
void | arm_cmplx_mult_cmplx_f32 (const float32_t *pSrcA, const float32_t *pSrcB, float32_t *pDst, uint32_t numSamples)
| Floating-point complex-by-complex multiplication. More...
void | arm_cmplx_mult_cmplx_f64 (const float64_t *pSrcA, const float64_t *pSrcB, float64_t *pDst, uint32_t numSamples)
| Floating-point complex-by-complex multiplication. More...